package com.zksy.api.client;

import com.zksy.api.dto.tableData.AnBaseinfo;
import com.zksy.api.dto.tableData.AnSubcapital;
import com.zksy.api.dto.tableData.DrRaninsres;
import com.zksy.api.dto.tableData.EBaseinfo;
import com.zksy.common.domain.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name = "data-library-table-service")
public interface TableDataClient {
    @GetMapping("/libraryTable/eBaseinfo")
    public Result<List<EBaseinfo>> getEBaseinfoAll();

    @GetMapping("/anPbUpdateinfo")
    public Result getAnPbUpdateinfo();

    @GetMapping("/anPbLicenceinfo")
    public Result getAnPbLicenceinfo();

    @GetMapping("/drRaninsplan")
    public Result getDrRaninsplan();

    @GetMapping("/anPbBaseinfo")
    public Result getAnPbBaseinfo();

    @GetMapping("/anUpdateinfo")
    public Result getAnUpdateinfo();

    @GetMapping("/libraryTable/drRaninsres")
    public Result<List<DrRaninsres>> getDrRaninsres();

    @GetMapping("/libraryTable/anBaseinfo")
    public Result<List<AnBaseinfo>> getAnBaseinfo();

    @GetMapping("/libraryTable/anSubcapital")
    public Result<List<AnSubcapital>> getAnSubcapital();

    @GetMapping("/eLicCertificate")
    public Result getELicCertificate();

    @GetMapping("/sswWbjhCjCztDkfpxxNew")
    public Result getSswWbjhCjCztDkfpxxNew();

    @GetMapping("/sswWbjhCjCztQysdsxx")
    public Result getSswWbjhCjCztQysdsxx();

    @GetMapping("/sqzkDsjWbjhCjFgwFzchrdxx")
    public Result getSqzkDsjWbjhCjFgwFzchrdxx();

    @GetMapping("/sqzkDsjWbjhCjFgwFzchjcxx")
    public Result getSqzkDsjWbjhCjFgwFzchjcxx();

    @GetMapping("/sqzkDsjWbjhCjFgwSwdjxx")
    public Result getSqzkDsjWbjhCjFgwSwdjxx();

    @GetMapping("/sqzkDsjWbjhCjFgwZxswdjxx")
    public Result getSqzkDsjWbjhCjFgwZxswdjxx();
}
